#include <avr/io.h> /* Подключаем библиотеку микроконтроллера Attiny2313*/
#include <avr/interrupt.h>/* Подключаем библиотеку прерываний*/



int main(void)
{DDRB=0xff;//порт B устанавливаем как выход
 PORTB=0x00;//обнуляем регистр PORTB
DDRD=0x00;
PORTD=0xff;
while (1){
if (PIND==126){PORTB=0x0f;}
else{PORTB=0xff;}// запускаем бесконечный цикл, чтобы микроконтроллеру было что выполнять после прерывания
}
}